package com.yami.shop.seckill.api.service;

/**
 * 秒杀缓存管理
 * @author LGH
 */
public interface SeckillCacheManager {

    /**
     * 创建订单路径
     * @param userId
     * @return
     */
    String createOrderPath(String userId);

    /**
     * 校验订单路径
     * @param userId
     * @return
     */
    void checkOrderPath(String userId, String orderPath);

    void decrSeckillSkuStocks(Long seckillSkuId,Long seckillId, Integer prodCount);
}
